﻿using Infragistics.Documents.Excel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamSpreadSheetFeatures
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamSpreadsheet_Loaded(object sender, RoutedEventArgs e)
        {
            xamSpreadSheet1.Workbook = Workbook.Load(@"../../MyExcel.xlsx");
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Clipboard.Clear();
            Formula formula = Formula.Parse("=$B$2", CellReferenceMode.A1);

            var selectionRange = xamSpreadSheet1.ActiveSelection.CellRanges.First();
            formula.ApplyTo(new WorksheetRegion(xamSpreadSheet1.ActiveWorksheet, selectionRange.FirstRow, selectionRange.FirstColumn, selectionRange.LastRow, selectionRange.LastColumn));
            xamSpreadSheet1.Focus();
        }
    }
}
